petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFunctionBeginHot

Substitute for PetscFunctionBegin to be used in functions that are called in performance-critical circumstances. Use of this function allows for lighter profiling by default.

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBeginHot;

Not Collective

### Usage

         int something;

         PetscFunctionBeginHot;

### Notes

Not available in Fortran

### See Also

PetscFunctionBegin, PetscFunctionReturn()

### Keywords

traceback, error handling

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages